# Class BlankField

java.lang.Object
org.eclipse.pde.ui.templates.TemplateField
org.eclipse.pde.ui.templates.TemplateOption
org.eclipse.pde.ui.templates.BlankField

public class BlankField extends TemplateOption
This template option can be used to create blank space on the template section wizard page.

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`BlankField(BaseOptionTemplateSection section)`
The default constructor.
`BlankField(BaseOptionTemplateSection section, int height)`
Overloaded constructor to specify the height of the blank field.

## Method Summary

Modifier and Type
Method
Description
`void`
`createControl(Composite parent, int span)`
Creates a blank field using a label widget.

### Methods inherited from class TemplateOption

`getMessageLabel, getName, getValue, isEmpty, isEnabled, isRequired, setEnabled, setName, setRequired, setValue`

### Methods inherited from class TemplateField

`createLabel, getLabel, getSection, setLabel`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlankField

public BlankField(BaseOptionTemplateSection section)
The default constructor.

Parameters:
  `section` - the parent section

### BlankField

public BlankField(BaseOptionTemplateSection section, int height)
Overloaded constructor to specify the height of the blank field.

Parameters:
  `section` - the parent section
  `height` - specifies the height of the blank field in pixels

## Method Details

### createControl

public void createControl(Composite parent, int span)
Creates a blank field using a label widget.

Specified by:
  `createControl` in class `TemplateField`
Parameters:
  `parent` - parent composite of the blank label
  `span` - the number of columns that the widget should span